Bug 1290791 - [gtk3+X11] some menus don't get hidden when clicked
[gtk3+X11] some menus don't get hidden when clicked
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 08:21 EST by Christian Stadelmann
Modified: 2017-07-26 15:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-26 15:42:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-12-11 08:21:18 EST
Description of problem:
Some menus (search dropdown menu from toolbar, perspective context menu, …) don't get closed when an item is activated in them.

Version-Release number of selected component (if applicable):
eclipse-platform-4.5.1-6.fc23.x86_64
eclipse-swt-4.5.1-6.fc23.x86_64
gtk3-3.18.6-1.fc23.x86_64
glib2-2.46.2-1.fc23.x86_64
xorg-x11-server-Xwayland-1.18.0-2.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. open eclipse. Make sure it is running on Gtk3 with GDK_BACKEND=x11 (wayland will crash).
2. open a new perspective
3. in the perspective switcher (top right by default), right-click on a perspective
4. select something, e.g. "close" from menu

Actual results:
menu doesn't close

Expected results:
menu should close

Additional info:
This issue does not affect ordinary menus, and it doesn't affect all dropdown menus either (e.g. beside the run/debug/run external buttons).
This issue was not present on Gtk2.
This issue might be specific to running eclipse in XWayland under a Gnome+Wayland session and might even be an issue in Gtk3 or XWayland.
Comment 1 Christian Stadelmann 2016-09-28 15:30:53 EDT
Still present in F25.
Comment 2 Mat Booth 2017-07-26 08:07:42 EDT
Hi Christian,

I think this problem might be fixed in F26 with Eclipse Oxygen (In my F26 VM, the perspective context menu disappears correctly when closing a perspective, for example).

Can you confirm, or do you still observe the problem?
Comment 3 Christian Stadelmann 2017-07-26 15:42:57 EDT
(In reply to Mat Booth from comment #2)
> Hi Christian,
> 
> I think this problem might be fixed in F26 with Eclipse Oxygen (In my F26
> VM, the perspective context menu disappears correctly when closing a
> perspective, for example).
> 
> Can you confirm, or do you still observe the problem?

No, I don't. Thank you!

Note You need to log in before you can comment on or make changes to this bug.